<?php
class config {
/**
 * サイトマップジェネレーター
 *
 * 簡単にサイトマップが生成できます。
 *
 *
 * Licensed under The MIT License
 * Redistributions of files must retain the above copyright notice.
 *
 * @author     Tadashi Suyama<suyama@its-office.jp>
 * @copyright  Copyright 2012, ITS, Inc. (http://www.its-office.jp/)
 * @package    sitemapgenerator
 * @since      PHP 5.3 
 * @version    v 1.0 -2012/03/07 10:15:23-
 * @license    MIT License (http://www.opensource.org/licenses/mit-license.php)
 */
 
// --- 設定 ---	


// 一覧表示を取り除くフォルダ
//例：public $removeDirs = array('../_notes/', '../private/', '../sub/', '../secret/');
public $_remove_dirs = array('../smg/', '../_notes/', '../common/');

// 一覧表示を取り除くファイル
//例：public $removeFiles = array('getsitemap.php', 'private.html', 'secret.html');
public $_remove_files = array('getsitemap.php', 'config.php');

// 出力フォルダ名を変更
// 例：public $changeName = array(
//	          '../'        => 'HOME',
//		      '../compay/'  => '会社案内',
//		      '../sitemap/' => 'サイトマップ',
//		      '../privacy/' => 'プライバシーポリシー',
//		      );
//
public $_modify_names = array(
		'../'        => 'HOME',
		'../sitemap/' => 'サイトマップ',
		'../sample/' => 'サンプル',
		'../test/'   => 'テスト',
		);

// 許可する拡張子
public $_ext = array('html', 'php', 'cgi');

// タイトルを'|'で区切ってある場合'|'の前を表示させたい場合は'pre'、後ろは'last'を指定してください。
public $_title_opt = 'pre';

// --- 設定ここまで --

// 設置するホストアドレス名
public $_host;

// 検査するディレクトリ
public $_path;

	public function __construct()
	{
		$this->setHost();
		$this->setPath();
	}

	protected function setHost()
	{
		return $this->_host = 'http://'. $_SERVER['HTTP_HOST'] . dirname(dirname($_SERVER['SCRIPT_NAME']));
	}
	
	protected function setPath()
	{
		return $this->_path = dirname(dirname(__FILE__));
	}
}